#include "pDBlibrary.h"

typedef struct mystruct {
	char field1[20];
	char field2[20];
	char field3[20];
	char field4[20];
	int  field5;
	float field6;
} mystruct;

void *readStruct(void *DP) {
	mystruct *ms = (mystruct *)DP;
	char *cp;
	int i;
	float f;

printf("rS: %s\n", pdbDataLine);

	pdbTokenize(pdbDataLine);

	printf("GF1 = %s\n", pdbGetString());
	printf("GF2 = %s\n", pdbGetString());

	return (void *)NULL;
}

int writeStruct(FILE *ofile, void *DP) {
	mystruct *ms = (mystruct *)DP;

	pdbPutString(ofile, ms->field1);
	pdbPutString(ofile, ms->field2);
	pdbPutInt(ofile, ms->field5);
	pdbPutFloat(ofile, ms->field6);
}

int main() {
	mystruct ms[2];
//	char dt[20] = "f1|f2|f3|f4|";

//	printf("f1 = %s\n", pdbTokenize(dt));
//	printf("f2 = %s\n", pdbTokenize(NULL));
//	printf("f3 = %s\n", pdbTokenize(NULL));

	pdbKeySearch("dbtest.txt", readStruct, (void *)&ms[0], 1, "tf1", NULL, NULL);

	strcpy(&ms[0].field1[0], "tf|1 ansadsadsaa");
	strcpy(&ms[0].field2[0], "TF|2 ANSADSADSAA");
	ms[0].field5 = 500;
	ms[0].field6 = 6.6;

	pdbAddRecord("dbtest.txt", writeStruct, (void *)&ms[0]);
	ms[0].field5 = 100;
	ms[0].field6 = 1.1;
	pdbUpdateRecord("dbtest.txt", writeStruct, (void *)&ms[0], "tf1", NULL, NULL);

	printf("R-ID = %d\n", pdbRowID("dbtest.txt"));
}
