#define LANG_STR 		1
#define LANG_DEXTERITY 		2
#define LANG_CONSTITUTION 		3
#define LANG_INTELLIGENCE 		4
#define LANG_WISDOW 		5
#define LANG_CHARISMA 		6
#define LANG_STRENGTHMOD 		7
#define LANG_DEXTERITYMOD 		8
#define LANG_CONSTITUTIONMOD 		9
#define LANG_INTELLIGENCEMOD 		10
#define LANG_WISDOWMOD 		11
#define LANG_CHARISMAMOD 		12
#define LANG_REFLEX 		13
#define LANG_WILL 		14
#define LANG_FORT 		15
#define LANG_BAB 		16
#define LANG_AC 		17
#define LANG_HP 		18
#define LANG_SAVE 		19
#define LANG_DAMAGE 		20
#define LANG_INITIATIVE 		21
#define LANG_SKILL 		22
#define LANG_SPELLRESIST 		23
#define LANG_RND 		24
#define LANG_RNDPL 		25
#define LANG_MINPL 		26
#define LANG_HRPL 		27
#define LANG_PLAYERLVL 		28
#define LANG_PERM 		29
#define LANG_ENHANCEMENT 		30
#define LANG_MORALE 		31
#define LANG_LUCK 		32
#define LANG_HASTE 		33
#define LANG_ARMOR 		34
#define LANG_SHIELD 		35
#define LANG_DEFLECTION 		36
#define LANG_DODGE 		37
#define LANG_OTHER 		38
#define LANG_RES 		39
#define LANG_GOOD 		40
#define LANG_EVIL 		41
#define LANG_LAW 		42
#define LANG_CHOAS 		43
#define LANG_UNDEAD 		44
#define LANG_MONSTER 		45
#define LANG_HITDICE 		46
#define LANG_SPELLLVL 		47
#define LANG_STRENGTHDC 		48
#define LANG_DEXTERITYDC 		49
#define LANG_CONSTITUTIONDC 		50
#define LANG_INTELLIGENCEDC 		51
#define LANG_WISDOMDC 		52
#define LANG_CHARISMADC 		53
#define LANG_SKILLDC 		54
#define LANG_CHARLVLDC 		55
#define LANG_CLASSLEVELDC 		56
#define LANG_DC 		57
#define LANG_FIRE 		58
#define LANG_SONIC 		59
#define LANG_ICE 		60
#define LANG_ACID 		61
#define LANG_ELECTRICITY 		62
#define LANG_PIERCING 		63
#define LANG_BLUDGEONING 		64
#define LANG_SLASHING 		65
#define LANG_RANGED 		66
#define LANG_HIT 		67
#define LANG_CRITICAL 		68
#define LANG_RANGEDATTK 		69
#define LANG_TOUCHATTK 		70
#define LANG_SOAK 		71
#define LANG_STABILISE 		72
#define LANG_DAMREDUCTION 		73
#define LANG_QUE 		74
#define LANG_MAX 		75
#define LANG_NONE 		76
#define LANG_MAGICWEAPON 		77
#define LANG_ANY 		78
#define LANG_ADAMANTINE 		79
#define LANG_BLUDGEONING 		80
#define LANG_CHAOS 		81
#define LANG_COLDIRON 		82
#define LANG_EPIC 		83
#define LANG_EVIL 		84
#define LANG_GOOD 		85
#define LANG_LAWFUL 		86
#define LANG_MAGIC 		87
#define LANG_SILVER 		88
#define LANG_SLASHING 		89
#define LANG_PIERCING 		90
#define LANG_RANGED 		91
#define LANG_NEG 		92
#define LANG_HALF 		93
#define LANG_NOSAV 		94
#define LANG_NOSR 		95
#define LANG_RESAV 		96
#define LANG_MESSAGE 		97
#define LANG_IF 		98
#define LANG_THEN 		99
#define LANG_ELSE 		100
#define LANG_AND 		101
#define LANG_OR 		102
#define LANG_END 		103

//**********************************************

struct lang_def { char token_id; char *token_str; }
lang_def language[] = {
	{LANG_STR, "STR"},
	{LANG_DEXTERITY, "DEX"},
	{LANG_CONSTITUTION, "CON"},
	{LANG_INTELLIGENCE, "INT"},
	{LANG_WISDOW, "WIS"},
	{LANG_CHARISMA, "CHA"},
	{LANG_STRENGTHMOD, "STRM"},
	{LANG_DEXTERITYMOD, "DEXM"},
	{LANG_CONSTITUTIONMOD, "CONM"},
	{LANG_INTELLIGENCEMOD, "INTM"},
	{LANG_WISDOWMOD, "WISM"},
	{LANG_CHARISMAMOD, "CHAM"},
	{LANG_REFLEX, "REF"},
	{LANG_WILL, "WILL"},
	{LANG_FORT, "FORT"},
	{LANG_BAB, "BAB"},
	{LANG_AC, "AC"},
	{LANG_HP, "HP"},
	{LANG_SAVE, "SAVE"},
	{LANG_DAMAGE, "DAM"},
	{LANG_INITIATIVE, "INIT"},
	{LANG_SKILL, "SKIL"},
	{LANG_SPELLRESIST, "SR"},
	{LANG_RND, "RND"},
	{LANG_RNDPL, "RDPL"},
	{LANG_MINPL, "MNPL"},
	{LANG_HRPL, "HRPL"},
	{LANG_PLAYERLVL, "PLVL"},
	{LANG_PERM, "PERM"},
	{LANG_ENHANCEMENT, "ENHT"},
	{LANG_MORALE, "MOR"},
	{LANG_LUCK, "LUCK"},
	{LANG_HASTE, "HAST"},
	{LANG_ARMOR, "ARM"},
	{LANG_SHIELD, "SHD"},
	{LANG_DEFLECTION, "DEF"},
	{LANG_DODGE, "DGE"},
	{LANG_OTHER, "OTHR"},
	{LANG_RES, "RES"},
	{LANG_GOOD, "GOOD"},
	{LANG_EVIL, "EVIL"},
	{LANG_LAW, "LAW"},
	{LANG_CHOAS, "CHOS"},
	{LANG_UNDEAD, "UNDD"},
	{LANG_MONSTER, "MONS"},
	{LANG_HITDICE, "HD"},
	{LANG_SPELLLVL, "SLVL"},
	{LANG_STRENGTHDC, "STDC"},
	{LANG_DEXTERITYDC, "DXDC"},
	{LANG_CONSTITUTIONDC, "CODC"},
	{LANG_INTELLIGENCEDC, "INDC"},
	{LANG_WISDOMDC, "WIDC"},
	{LANG_CHARISMADC, "CHDC"},
	{LANG_SKILLDC, "SKDC"},
	{LANG_CHARLVLDC, "CLDC"},
	{LANG_CLASSLEVELDC, "LLDC"},
	{LANG_DC, "DC"},
	{LANG_FIRE, "FIRE"},
	{LANG_SONIC, "SONC"},
	{LANG_ICE, "ICE"},
	{LANG_ACID, "ACID"},
	{LANG_ELECTRICITY, "ELEC"},
	{LANG_PIERCING, "PIER"},
	{LANG_BLUDGEONING, "BLUD"},
	{LANG_SLASHING, "SLAS"},
	{LANG_RANGED, "RANG"},
	{LANG_HIT, "HIT"},
	{LANG_CRITICAL, "CRIT"},
	{LANG_RANGEDATTK, "RATK"},
	{LANG_TOUCHATTK, "TATK"},
	{LANG_SOAK, "SOAK"},
	{LANG_STABILISE, "STAB"},
	{LANG_DAMREDUCTION, "DRED"},
	{LANG_QUE, "QUE"},
	{LANG_MAX, "MAX"},
	{LANG_NONE, "NONE"},
	{LANG_MAGICWEAPON, "MAGW"},
	{LANG_ANY, "ANY"},
	{LANG_ADAMANTINE, "ADAM"},
	{LANG_BLUDGEONING, "BLUD"},
	{LANG_CHAOS, "CHOS"},
	{LANG_COLDIRON, "CIRN"},
	{LANG_EPIC, "EPIC"},
	{LANG_EVIL, "EVIL"},
	{LANG_GOOD, "GOOD"},
	{LANG_LAWFUL, "LAW"},
	{LANG_MAGIC, "MAGC"},
	{LANG_SILVER, "SILV"},
	{LANG_SLASHING, "SLAS"},
	{LANG_PIERCING, "PIER"},
	{LANG_RANGED, "RANG"},
	{LANG_NEG, "NEG"},
	{LANG_HALF, "HALF"},
	{LANG_NOSAV, "NSAV"},
	{LANG_NOSR, "NOSR"},
	{LANG_RESAV, "RSAV"},
	{LANG_MESSAGE, "MESG"},
	{LANG_IF, "IF"},
	{LANG_THEN, "THEN"},
	{LANG_ELSE, "ELSE"},
	{LANG_AND, "AND"},
	{LANG_OR, "OR"},
	{LANG_END, "."},
};
